<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll_group"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical"
    tools:ignore="MissingDefaultResource">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_group"
        android:layout_width="@dimen/dp_259"
        android:layout_height="@dimen/dp_280"
        android:background="@drawable/bg_black_default_shape"
        android:clickable="false">


        <TextView
            android:id="@+id/tv_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_top_gray_shape"
            android:paddingStart="@dimen/dp_13"
            android:paddingTop="@dimen/dp_12"
            android:paddingBottom="@dimen/dp_8"
            android:text="调整节拍器"
            android:textColor="#fff9f9f9"
            android:textSize="16sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_volume"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingStart="@dimen/dp_5"
            android:paddingTop="@dimen/dp_11"
            android:paddingEnd="@dimen/dp_5"
            android:src="@drawable/ic_volume"
            app:layout_constraintEnd_toStartOf="@id/iv_plus"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_plus"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingStart="@dimen/dp_5"
            android:paddingTop="@dimen/dp_10"
            android:paddingEnd="@dimen/dp_5"
            android:paddingBottom="@dimen/dp_10"
            android:src="@drawable/ic_metroneme_plus"
            app:layout_constraintBottom_toBottomOf="@+id/tv_title"
            app:layout_constraintEnd_toStartOf="@id/iv_reduce"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_reduce"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingStart="@dimen/dp_5"
            android:paddingTop="@dimen/dp_10"
            android:paddingEnd="@dimen/dp_19"
            android:paddingBottom="@dimen/dp_10"
            android:src="@drawable/ic_metroneme_reduce"
            app:layout_constraintBottom_toBottomOf="@+id/tv_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:layout_marginTop="@dimen/dp_15"
            android:layout_marginLeft="@dimen/dp_15"
            android:layout_marginRight="@dimen/dp_15"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/seekbar"
            android:orientation="horizontal">
            <com.cooleshow.base.widgets.ColorTextView
                android:id="@+id/tv_cancel"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:textSize="@dimen/sp_14"
                android:textColor="#FFFFFF"
                app:ctvCornerSize="4dp"
                app:ctvBorderWidth="1dp"
                app:ctvBorderColor="@color/white"
                android:gravity="center"
                app:ctvBackground="@color/transparent"
                android:text="取消"/>
            <com.cooleshow.base.widgets.ColorTextView
                android:id="@+id/tv_confirm"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:textSize="@dimen/sp_14"
                android:textColor="#FFFFFF"
                app:ctvCornerSize="4dp"
                app:ctvBackground="#656376"
                android:gravity="center"
                android:text="确认"/>
        </LinearLayout>

        <com.daya.live_teaching.widget.MCircleSeekBar
            android:id="@+id/seekbar"
            android:layout_width="@dimen/dp_165"
            android:layout_height="@dimen/dp_165"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginBottom="@dimen/dp_18"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title" />

        <TextView
            android:id="@+id/tv_rhythm"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_80"
            android:layout_marginEnd="@dimen/dp_5"
            android:padding="@dimen/dp_5"
            android:text="4  |  4"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_14"
            app:layout_constraintEnd_toEndOf="@id/seekbar"
            app:layout_constraintStart_toStartOf="@id/seekbar"
            app:layout_constraintTop_toTopOf="@id/seekbar" />

        <TextView
            app:layout_constraintEnd_toEndOf="@id/iv_volume"
            app:layout_constraintStart_toStartOf="@+id/iv_volume"
            app:layout_constraintTop_toBottomOf="@+id/iv_volume"
            android:id="@+id/tv_seekbar_process"
            android:textSize="@dimen/sp_14"
            android:textColor="@color/white"
            android:visibility="gone"
            android:gravity="center"
            android:layout_width="@dimen/dp_25"
            android:layout_height="20dp"
            android:text="100" />

<!--        音量控制-->
        <com.h6ah4i.android.widget.verticalseekbar.VerticalSeekBarWrapper
           android:id="@+id/seekbar_wrapper"
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_95"
            android:background="#3D3B49"
            android:gravity="center_horizontal"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/iv_volume"
            app:layout_constraintStart_toStartOf="@+id/iv_volume"
            app:layout_constraintTop_toBottomOf="@+id/tv_seekbar_process" >


            <com.h6ah4i.android.widget.verticalseekbar.VerticalSeekBar
            android:id="@+id/seeker_bar"
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_90"
            android:max="100"
            android:progress="100"
            android:paddingStart="11dp"
            android:paddingEnd="10dp"
            android:maxHeight="@dimen/dp_4"
            android:minHeight="@dimen/dp_4"
            android:splitTrack="false"
            app:seekBarRotation="CW270"
            android:thumbOffset="@dimen/dp_2"
            android:progressDrawable="@drawable/volume_seekbar_layer"
            android:thumb="@drawable/bg_volume_seekbar_progress_shape"
          />
        </com.h6ah4i.android.widget.verticalseekbar.VerticalSeekBarWrapper>
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>